@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Incidentreportings </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/incidentreporting/incidentreporting/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Incidentreporting</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('incidentreporting::incidentreporting.label.division_id')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.asset_id')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.damagepercentage')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.damagedetails')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.statusdate')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.employee_id')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.externalname')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.externalmobile')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.usedby_id')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.custodian_id')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.asset_type')!!}</th>
        <th>{!! trans('incidentreporting::incidentreporting.label.action')!!}</th>
                    <th width="150">{!! trans('incidentreporting::incidentreporting.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($incidentreportings as $incidentreporting)
                <tr id="user-incidentreporting-incidentreporting-{!! $incidentreporting->getRouteKey() !!}">
                    <td>{{ $incidentreporting->division_id }}</td>
                    <td>{{ $incidentreporting->asset_id }}</td>
                    <td>{{ $incidentreporting->damagepercentage }}</td>
                    <td>{{ $incidentreporting->damagedetails }}</td>
                    <td>{{ $incidentreporting->statusdate }}</td>
                    <td>{{ $incidentreporting->employee_id }}</td>
                    <td>{{ $incidentreporting->externalname }}</td>
                    <td>{{ $incidentreporting->externalmobile }}</td>
                    <td>{{ $incidentreporting->usedby_id }}</td>
                    <td>{{ $incidentreporting->custodian_id }}</td>
                    <td>{{ $incidentreporting->asset_type }}</td>
                    <td>{{ $incidentreporting->action }}</td>
                    <td><span class="label status-{{ $incidentreporting->status }}"> {{ $incidentreporting->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/incidentreporting/incidentreporting/{!! $incidentreporting->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/incidentreporting/incidentreporting/{!! $incidentreporting->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/incidentreporting/incidentreporting/{!! $incidentreporting->getRouteKey() !!}" 
                            href="trans_url('/user')/incidentreporting/incidentreporting/{!! $incidentreporting->getRouteKey() !!}" data-remove="user-incidentreporting-incidentreporting-{!! $incidentreporting->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $incidentreportings->links() }}
</div>