<?php

// Admin web routes  for incidentreporting
Route::group(['prefix' => trans_setlocale().'/admin/incidentreporting'], function () {
    Route::resource('incidentreporting', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingAdminController');
});

// Admin API routes  for incidentreporting
Route::group(['prefix' => trans_setlocale().'api/v1/admin/incidentreporting'], function () {
    Route::resource('incidentreporting', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingAdminApiController');
});

// User web routes for incidentreporting
Route::group(['prefix' => trans_setlocale().'/user/incidentreportings'], function () {
    Route::resource('/', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingUserController');
});

// User API routes for incidentreporting
Route::group(['prefix' => trans_setlocale().'api/v1/user/incidentreportings'], function () {
    Route::resource('/', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingUserApiController');
});

// Public web routes for incidentreporting
Route::group(['prefix' => trans_setlocale().'/incidentreportings'], function () {
    Route::get('/', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingController@index');
    Route::get('/{slug?}', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingController@show');
});

// Public API routes for incidentreporting
Route::group(['prefix' => trans_setlocale().'api/v1/incidentreportings'], function () {
    Route::get('/', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingApiController@index');
    Route::get('/{slug?}', 'Assetdocs\Incidentreporting\Http\Controllers\IncidentreportingApiController@show');
});

